using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls;
using Telerik.WinControls.UI;

namespace TelerikWinFormsApp8
{
    public partial class RadForm1 : Telerik.WinControls.UI.RadForm
    {
        public RadForm1()
        {
            InitializeComponent();
        }

        private void RadForm1_Load(object sender, EventArgs e)
        {
            DataTable dtThemes = new DataTable();

            dtThemes.Columns.Add("Name", typeof(string));
            dtThemes.Columns.Add("ThemeName", typeof(string));
            dtThemes.Rows.Add("Aqua", "Aqua");
            dtThemes.Rows.Add("Breeze", "Breeze");
            dtThemes.Rows.Add("Desert", "Desert");
            dtThemes.Rows.Add("Fluent", "Fluent");
            dtThemes.Rows.Add("Fluent Dark", "FluentDark");
            dtThemes.Rows.Add("Black", "Office2010Black");
            this.radMultiColumnComboBox1.DataSource = dtThemes; ;
            this.radMultiColumnComboBox1.Columns[1].IsVisible = true;
            this.radMultiColumnComboBox1.SelectedIndex = 0;

           // this.radMultiColumnComboBox1.DropDownStyle = RadDropDownStyle.DropDownList;
            this.radMultiColumnComboBox1.EditorControl.AutoSizeColumnsMode = GridViewAutoSizeColumnsMode.Fill;
            //enable event
            this.radMultiColumnComboBox1.SelectedValueChanged += this.RadMultiColumnComboBox1_SelectedValueChanged;
        }


        private void RadMultiColumnComboBox1_SelectedValueChanged(object sender, EventArgs e)
        {
            if (this.radMultiColumnComboBox1.EditorControl.CurrentRow != null)
            {
                string cc = radMultiColumnComboBox1.EditorControl.CurrentRow.Cells[1].Value.ToString();
            }
        }

    }
}
